Quantcast

pre-release Testing tarball for version 5.0.5

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

pre-release Testing tarball for version 5.0.5

sfeam
If no last-minute problems are found, I plan to release gnuplot 5.0.5
(version 5.0 patchlevel 5) in a week or so.

I have uploaded a source tarball for testing.
You can find it in the "testing" file folder on SourceForge:

      https://sourceforge.net/projects/gnuplot/files/gnuplot/testing/

This patchlevel 5.0.5 incremental release includes
==================================================

* NEW allow filename completion for system commands and pipes (backport from 5.1)
* NEW option to plot with labels {rotate variable}
* NEW command "set minussign"
* NEW stats command "name" option now accepts "columnheader" or "columnheader(N)"
* NEW command option "set colorbox invert"
* CHANGE qt terminal force selection of outline font rather than bitmap font
* CHANGE post terminal simplex/duplex output depends on PostScript level setting
* CHANGE improved autoscaling of plot "with boxes"
* CHANGE qt terminal sets TERM_POLYGON_PIXELS to avoid aliasing artifacts
* CHANGE all stats and fit commands skip header records if "autotitle columnhead"
* FIX various bugs affecting matrix data plotted "with image"
* FIX Do not confuse EOF with 8-bit character 0x177 (E.g. in Cyrillic encodings).
* FIX use blank line rather than 'u' flag in "set table" output of smoothed data
* FIX regression in rendering 'plot ... matrix every ... with image'
* FIX order dependence of "fillcolor" keyword in plot commands
* FIX svg - better vertical justification of rotated text
* FIX wxt - file export widget correctly handles inactive plots
* FIX qt - preserve leading and trailing whitespace in enhanced text strings

        Ethan

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

Dmitri A. Sergatskov


On Sun, Oct 2, 2016 at 1:51 PM, sfeam <[hidden email]> wrote:
If no last-minute problems are found, I plan to release gnuplot 5.0.5
(version 5.0 patchlevel 5) in a week or so.


​On gnome/Wayland (Fedora 25 alpha)
qt terminal crashes if I select "Export to PDF" or "Export to SVG":

(gnuplot_qt:20095): Gdk-WARNING **: gdkwindow-x11.c:5554 drawable is not a native X11 window
Error: plot window (gnuplot_qt) not responding - will restart

(The same happens with earlier versions).

Dmitri.
--



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

sfeam
On Thursday, 06 October 2016 05:45:19 PM Dmitri A. Sergatskov wrote:
> On Sun, Oct 2, 2016 at 1:51 PM, sfeam <[hidden email]> wrote:
>
> > If no last-minute problems are found, I plan to release gnuplot 5.0.5
> > (version 5.0 patchlevel 5) in a week or so.
>
> ​On gnome/Wayland (Fedora 25 alpha)
> qt terminal crashes if I select "Export to PDF" or "Export to SVG":
>

Definitely not something that's going to get fixed before release of 5.0.5
but if you open a bug tracker item we will try to deal with it.

It would probably help to know what versions of qt, etc.

 > (gnuplot_qt:20095): Gdk-WARNING **: gdkwindow-x11.c:5554 drawable is not a
> native X11 window
> Error: plot window (gnuplot_qt) not responding - will restart

That seems really odd, because why would gnuplot_qt be calling into a
gdk/gtk library?   As built here, the gnuplot_qt executable does not contain a symbol
entry for gdkwindow-x11, although the wxt/cairo code in the main gnuplot executable
does.  Furthermore, the pkg-config files for Qt 5.4.2 do not list any gdk library requirements.
Has this changed in a newer version of Qt?
 
> (The same happens with earlier versions).

Do you mean earlier versions of gnuplot run on Fedora 25,
or do you mean earlier versions of Fedora, or what exactly?

        Ethan

>
> Dmitri.
> --


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

Dmitri A. Sergatskov
On Thu, Oct 6, 2016 at 9:46 PM, sfeam <[hidden email]> wrote:
On Thursday, 06 October 2016 05:45:19 PM Dmitri A. Sergatskov wrote:
> On Sun, Oct 2, 2016 at 1:51 PM, sfeam <[hidden email]> wrote:
>
> > If no last-minute problems are found, I plan to release gnuplot 5.0.5
> > (version 5.0 patchlevel 5) in a week or so.
>
> ​On gnome/Wayland (Fedora 25 alpha)
> qt terminal crashes if I select "Export to PDF" or "Export to SVG":
>

Definitely not something that's going to get fixed before release of 5.0.5
but if you open a bug tracker item we will try to deal with it.

​Sure.​

 

It would probably help to know what versions of qt, etc.


​This was Qt5.7.0

 
 > (gnuplot_qt:20095): Gdk-WARNING **: gdkwindow-x11.c:5554 drawable is not a
> native X11 window
> Error: plot window (gnuplot_qt) not responding - will restart

That seems really odd, because why would gnuplot_qt be calling into a
gdk/gtk library?   As built here, the gnuplot_qt executable does not contain a symbol
entry for gdkwindow-x11, although the wxt/cairo code in the main gnuplot executable
does.  Furthermore, the pkg-config files for Qt 5.4.2 do not list any gdk library requirements.
Has this changed in a newer version of Qt?


​I am guessing here, but I think that message is from Gnome desktop. The crash happens
while qt  was trying to pop up the file selection window (after clicking on "Export to PDF").​
 
> (The same happens with earlier versions).

Do you mean earlier versions of gnuplot run on Fedora 25,
or do you mean earlier versions of Fedora, or what exactly?


​Fedora 25 provided gnuplot 4.0.2  and it has the same problem.​
 
        Ethan

>
> Dmitri.
> --


​Dmitri.
--
 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

Dmitri A. Sergatskov
In reply to this post by sfeam
On Thu, Oct 6, 2016 at 9:46 PM, sfeam <[hidden email]> wrote:
On Thursday, 06 October 2016 05:45:19 PM Dmitri A. Sergatskov wrote:
> On Sun, Oct 2, 2016 at 1:51 PM, sfeam <[hidden email]> wrote:
>
> > If no last-minute problems are found, I plan to release gnuplot 5.0.5
> > (version 5.0 patchlevel 5) in a week or so.
>
> ​On gnome/Wayland (Fedora 25 alpha)
> qt terminal crashes if I select "Export to PDF" or "Export to SVG":
>

Definitely not something that's going to get fixed before release of 5.0.5
but if you open a bug tracker item we will try to deal with it.

It would probably help to know what versions of qt, etc.


​I recompiled against qt-4.8.7 and it works fine (no crash).

Dmitri.
--



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

sfeam
On Thursday, 06 October 2016 11:16:15 PM Dmitri A. Sergatskov wrote:

> On Thu, Oct 6, 2016 at 9:46 PM, sfeam <[hidden email]> wrote:
>
> > On Thursday, 06 October 2016 05:45:19 PM Dmitri A. Sergatskov wrote:
> > > On Sun, Oct 2, 2016 at 1:51 PM, sfeam <[hidden email]>
> > wrote:
> > >
> > > > If no last-minute problems are found, I plan to release gnuplot 5.0.5
> > > > (version 5.0 patchlevel 5) in a week or so.
> > >
> > > ​On gnome/Wayland (Fedora 25 alpha)
> > > qt terminal crashes if I select "Export to PDF" or "Export to SVG":
> > >
> >
> > Definitely not something that's going to get fixed before release of 5.0.5
> > but if you open a bug tracker item we will try to deal with it.
> >
> > It would probably help to know what versions of qt, etc.
> >
> >
> ​I recompiled against qt-4.8.7 and it works fine (no crash).

If it's just the Qt version that is at issue, I will probably run into it myself
eventually.  But it may be a while before I have a system with Qt > 5.6

I suppose it would be informative if you could rule out wayland or the
gnome desktop.  Can you run the problematic gnuplot executable
under an alternative window manager (Xfce or LXDE  etc)?

        Ethan


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

Dmitri A. Sergatskov
On Fri, Oct 7, 2016 at 12:12 AM, sfeam <[hidden email]> wrote:

> ​I recompiled against qt-4.8.7 and it works fine (no crash).

If it's just the Qt version that is at issue, I will probably run into it myself
eventually.  But it may be a while before I have a system with Qt > 5.6

I suppose it would be informative if you could rule out wayland or the
gnome desktop.  Can you run the problematic gnuplot executable
under an alternative window manager (Xfce or LXDE  etc)?

​It works fine on Plasma  or Gnome/X11 so Wayland is suspect,
but a counterargument is that e.g. octave-gui built on the same computer
against the same Qt-5.7.0 runs fine -- e.g. the file selection windows on
its qscintilla component works just fine. ​

​I filed bugzilla report on fedora -- may be something comes out of it.
https://bugzilla.redhat.com/show_bug.cgi?id=1382576



        Ethan


​Dmitri.


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

Frantisek Kluknavsky
In reply to this post by Dmitri A. Sergatskov
On 07/10/16 06:03, Dmitri A. Sergatskov wrote:
...
> ​Fedora 25 provided gnuplot 4.0.2  and it has the same problem.​
...

Just to avoid confusion:
Fedora 25 has gnuplot 5.0.3 built with qt5.
Fedora 24 has gnuplot 5.0.3 built with qt4.
Fedora 23 has gnuplot 5.0.1.



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta

signature.asc (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: pre-release Testing tarball for version 5.0.5

Dmitri A. Sergatskov


On Tue, Oct 11, 2016 at 5:07 AM, Frantisek Kluknavsky <[hidden email]> wrote:
On 07/10/16 06:03, Dmitri A. Sergatskov wrote:
...
> ​Fedora 25 provided gnuplot 4.0.2  and it has the same problem.​
...

Just to avoid confusion:
Fedora 25 has gnuplot 5.0.3 built with qt5.
Fedora 24 has gnuplot 5.0.3 built with qt4.
Fedora 23 has gnuplot 5.0.1.



​I could not believe i typed that. I meant "gnuplot 5.0.3"

Dmitri.
--
 ​
 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Loading...